nz-card(*ngIf="(action$ | async) as action else workSmart")
  #ryax-scan-detail-header
    div
      #ryax-scan-detail-title
        h3 {{ action.name }}
        ryax-scanned-action-status([status]="action.status")
      p {{ action.metadataPath }}
    ng-container(*ngIf="action.status === 'Building' || action.status === 'Build Pending' else notBuilding")
      button(nz-button, nzDanger="true", (click)="cancelBuild(action.id)") Cancel Build

    ng-template(#notBuilding)
      button(nz-button, nzType="primary", (click)="build(action.id)") Build

  #ryax-scan-detail-content
    p
      label File name:
      | {{ action.technicalName }}
    p
      label Version:
      | {{ action.version }}
    p
      label Language:
      | {{ action.type }}
    p
      label Description:
      | {{ action.description }}


    p
      label Lockfile:
      ng-container(*ngIf="action.lockfile == ''")
        | ryax_lock.json not found in the action directory
      ng-container(*ngIf="action.lockfile")
        a((click)="toggleDisplayLockfile()") ryax_lock.json ({{!showLockFile ? "Show" : "Hide"}})


    ng-container(*ngIf="action.lockfile && showLockFile")
      ryax-console-display([textContent]="action.lockfile")

    ng-container(*ngIf="action.status === 'Scan Error'")
      label Logs:
      ryax-console-display([textContent]="action.scanErrors")

    ng-container(*ngIf="action.status === 'Build Error'")
      label Logs:
      ryax-console-display([textContent]="action.buildError")

ng-template(#workSmart)
  #ryax-work-smart
    h1 Work smarter, not harder!
    p Scan your repository to get your Actions. These are the building blocks of your application.
    p Build them, use them, update them, share them!
    br
    p
      | See the&nbsp;
      a(href="https://docs.ryax.tech") Ryax documentation
      | &nbsp;for more details


    img(src="assets/lego-bricks-ryax.png")
